Bug 1309989 - All functional UI items should have alternative text
All functional UI items should have alternative text
Status: CLOSED WONTFIX
Product: Red Hat Storage Console
Classification: Red Hat
Component: UI (Show other bugs)
2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3
Assigned To: sankarshan
sds-qe-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-19 02:24 EST by Martin Kudlej
Modified: 2017-03-23 00:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-23 00:10:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Kudlej 2016-02-19 02:24:06 EST
Description of problem:
There are couple of places when there is functional UI item(like button or link) and it is represented only by icon. I think all icons like this should have alternate text so user can see by hovering mouse over icon what does that button do. This situation can be seen in top right list of icons.

Version-Release number of selected component (if applicable):
rhscon-core-0.0.8-4.el7.x86_64
rhscon-ceph-0.0.6-4.el7.x86_64
rhscon-ui-0.0.14-1.el7.noarch

How reproducible:
100%

Expected results:
All functional UI items without text and with only icon should have alternate text so user knows what does that icon do.
Comment 1 Martin Kudlej 2016-02-19 02:45:31 EST
Other example are status icon. User doesn't know what that icon means, for example for cluster status in list of clusters.
Comment 4 Ju Lim 2017-01-20 16:39:34 EST
This is saying each icon should have accompanying hover text.

Note You need to log in before you can comment on or make changes to this bug.